Public Class 專案項目BOM表_群組設定
    Dim 對話框(20) As String
    Private Sub Set_清單()
        Dim ds6 As New DataSet
        清單_dgv.DataSource = Nothing : ds6.Clear()
        清單_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        清單_dgv.ColumnHeadersHeight = 25 : 清單_dgv.AllowUserToAddRows = False
        SQL_工程項目BOM表_群組設定_清單()
        da.Fill(ds6) : 清單_dgv.DataSource = ds6.Tables(0) : conn.Close()
        清單_dgv.Columns(0).ReadOnly = True : 清單_dgv.Columns(0).Visible = False
    End Sub
    Private Sub 工程項目BOM表_群組設定_Load(sender As Object, e As EventArgs) Handles MyBase.Load
    End Sub
    Private Sub 工程項目BOM表_群組設定_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        Set_清單() : 群組碼_tb.Enabled = False : 批改_ch.Checked = False
    End Sub
    Private Sub 新增_bt_Click(sender As Object, e As EventArgs) Handles 新增_bt.Click
        If 中文名稱_tb.Text <> "" And 印尼文名稱_tb.Text <> "" Then : Dim 重複 As Boolean = False
            For i As Integer = 0 To 清單_dgv.Rows.Count - 1 : If 中文名稱_tb.Text = 清單_dgv.Rows(i).Cells(1).Value.ToString Then : 重複 = True : Exit For : End If : Next
            If 重複 Then : Else : SQL_工程項目BOM表_群組設定_讀取最後一筆資料() : Dim num As Integer
                If dr.Read() Then : num = CInt(dr(0).ToString.Substring(2)) : Else : num = 0 : End If
                SQL_工程項目BOM表_群組設定_新增("BN" & (num + 1).ToString.PadLeft(4, "0"), 中文名稱_tb.Text, 印尼文名稱_tb.Text) : MsgBox("新增完成!!") : Set_清單()
            End If
        Else : MsgBox("沒有選擇資料!!") : End If
    End Sub

    Private Sub 存檔_bt_Click(sender As Object, e As EventArgs) Handles 存檔_bt.Click
        If 批改_ch.Checked Then
            For i As Integer = 0 To 清單_dgv.Rows.Count - 1
                SQL_工程項目BOM表_群組設定_存檔(清單_dgv.Rows(i).Cells(0).Value.ToString, 清單_dgv.Rows(i).Cells(1).Value.ToString, 清單_dgv.Rows(i).Cells(2).Value.ToString)
            Next : MsgBox("存檔完成!!") : Set_清單()
        Else
            If 群組碼_tb.Text = "" Then : MsgBox("沒有選擇資料!!") : Else
                SQL_工程項目BOM表_群組設定_存檔(群組碼_tb.Text, 中文名稱_tb.Text, 印尼文名稱_tb.Text) : MsgBox("存檔完成!!") : Set_清單()
            End If
        End If
    End Sub

    Private Sub 刪除_bt_Click(sender As Object, e As EventArgs) Handles 刪除_bt.Click
        If 群組碼_tb.Text <> "" Then
            PA = InputBox("確定要刪除該筆資料? 請輸入大寫 [YES] 來進行後續動作!!")
            If 訊息回應 = "YES" Then
                SQL_工程項目BOM表_群組設定_刪除(群組碼_tb.Text) : MsgBox("刪除完成!!") : Set_清單()
                群組碼_tb.Text = "" : 中文名稱_tb.Text = "" : 印尼文名稱_tb.Text = ""
            End If
        Else : MsgBox("沒有選擇資料!!") : End If
    End Sub
    Private Sub 清單_dgv_CellClick(sender As Object, e As DataGridViewCellEventArgs) Handles 清單_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            群組碼_tb.Text = 清單_dgv(0, e.RowIndex).Value.ToString : 中文名稱_tb.Text = 清單_dgv(1, e.RowIndex).Value.ToString
            印尼文名稱_tb.Text = 清單_dgv(2, e.RowIndex).Value.ToString
        End If
    End Sub
    Private Sub 中文名稱_tb_TextChanged(sender As Object, e As EventArgs) Handles 中文名稱_tb.TextChanged
        印尼文名稱_tb.Text = 中文名稱_tb.Text
    End Sub
End Class